#pragma once
#include "SPdbEthm.h"

// TabMEMAccess 대화 상자

class TabMEMAccess : public CDialogEx
{
	DECLARE_DYNAMIC(TabMEMAccess)

public:
	TabMEMAccess(CWnd* pParent = nullptr);   // 표준 생성자입니다.
	virtual ~TabMEMAccess();
	_DevInformation m_stDeviceInfo;
	double dYRate, dXRate;
	long lDataArray[3680];

	void InitMemRead();
	void DrawGraph(short sAddress, CString strName);
	void DrawPlotData(CDC* pDC, CRect rect);
// 대화 상자 데이터입니다.
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DLGTABMEMACCESS };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.

	DECLARE_MESSAGE_MAP()
public:
	CStatic m_picReadGraph;
	CComboBox m_cmbSelMemPage;
	CListCtrl m_listMemList;
	afx_msg void OnCbnSelchangeCmbSelmempage();
	afx_msg void OnBnClickedBtnMemset();
	afx_msg void OnBnClickedBtnMemdel();
	afx_msg void OnBnClickedBtnMemread();
	afx_msg void OnBnClickedBtnSavedata();
	CString m_strName;
	CString m_strGraphName;
};
